/*
 * Copyright (c) 1995, 2011, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 *
 */

/**
 * ========================================================================
 * Module Information:
 *
 * DESCRIPTION: This enumerated type is used to predefine the list of
 * allowed socket actions.
 * 
 * This package private class provides RDMA_CAPABILITY.
 * ========================================================================
 */

package java.net;

enum SocketAction {
	BIND,
	ACCEPT,
	CONNECT;
	
	/**
	 * Convert an action string into a predefined action constant.
	 */
	static SocketAction parse(String actionStr){
		SocketAction action = null;
		for (SocketAction a: SocketAction.values()) {
			if (actionStr.equalsIgnoreCase(a.name())) {
				action = a;
				break;
			}
		}
		return action;
	}
}
